package com.losers;

import android.content.Context;
import android.database.SQLException;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
//import android.database.sqlite.SQLiteDatabase.CursorFactory;
import android.util.Log;

public class Database extends SQLiteOpenHelper {
		
	//private SQLiteDatabase db;
	//private final Context context;
	

	public Database(Context context) {
		// Database name and schema version
		super(context, "beer.db", null, 1);
		
	}
	
	@Override
	public void onCreate(SQLiteDatabase db) {	
		Log.w("XXX onCreate", "XXX Creating database");
		try
		{
			// TODO lis rivit johku teksti filuun ja aja rivit lpi?
			
			// Create tables
			db.execSQL("CREATE TABLE type (_id INTEGER PRIMARY KEY AUTOINCREMENT, name TEXT);");
			db.execSQL("CREATE TABLE beer (_id INTEGER PRIMARY KEY AUTOINCREMENT, name TEXT, " +
					"brewery TEXT, abv REAL, rating REAL, description TEXT, picture BLOB, type INTEGER DEFAULT 0 REFERENCES type(_id));");
			
			// Insert default beer types
			db.execSQL("INSERT INTO type (name) VALUES ('<type>'); ");
			db.execSQL("INSERT INTO type (name) VALUES ('Ale');" );
			db.execSQL("INSERT INTO type (name) VALUES ('Bitter');" );
			db.execSQL("INSERT INTO type (name) VALUES ('Pilsner');" );
			db.execSQL("INSERT INTO type (name) VALUES ('Lager');" );
			db.execSQL("INSERT INTO type (name) VALUES ('Porter');" );
			db.execSQL("INSERT INTO type (name) VALUES ('Stout');" );
			db.execSQL("INSERT INTO type (name) VALUES ('Trappis');" );
			
			// Insert default beers
			db.execSQL("INSERT INTO beer (name, brewery, abv, description, rating, type) VALUES ('Sandels', 'Olvi oyj', 4.7, 'Vahva ja pehmea olut', '2.5', 3);" );
			db.execSQL("INSERT INTO beer (name, brewery, abv, description, rating, type) VALUES ('Karjala', 'Oy Hartwall ab', 4.6, 'Reilusti luennetta', 2.0, 3);" );
			
			
			//db.insert("type", nullColumnHack, values)
			
		} catch(SQLException e) {
			Log.w("XXX onCreate FAILED!", e.toString());
		}
	}
	
	@Override
	public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
		Log.w("XXX onUpgrade", "Upgrading database");
		db.execSQL("DROP TABLE IF EXISTS beer");
		db.execSQL("DROP TABLE IF EXISTS type");
		db.execSQL("DROP TABLE IF EXISTS brewery");
		onCreate(db);
	}
}
